#! /bin/sh

# Yes, this is a private repository with a custom access method.
REPOS_BASE=svn+voltron://ds@voltron/data/svn/libnfsnapi
RHOST_DEST=dsymonds_symonds@ssh.phx.nearlyfreespeech.net:libnfsnapi/snapshots/
TMP_DIR="tmp-dist"

echo "------------------< SVN info >------------------"
REV=`svn info $REPOS_BASE | grep ^Revision: | cut -d' ' -f2`
TARBALL="libnfsnapi-svn-$REV"

if [ -d "$TMP_DIR" ]; then chmod -R +w "$TMP_DIR" && rm -r "$TMP_DIR"; fi
mkdir "$TMP_DIR" || exit 1
cd "$TMP_DIR" || exit 1
echo "------------------< SVN co -r $REV >------------------"
svn export -q -r$REV $REPOS_BASE $TARBALL || exit 1
echo "------------------< SVN log -r $REV:1 >------------------"
svn log -r $REV:1 $REPOS_BASE > ChangeLog || exit 1
cp ${TARBALL}/TODO.txt .
echo "------------------< Packaging >------------------"
tar c $TARBALL | bzip2 -9 > ${TARBALL}.tar.bz2
rm -rf $TARBALL
ls -lh ${TARBALL}.tar.bz2
echo "------------------< Uploading >------------------"
scp ChangeLog TODO.txt ${TARBALL}.tar.bz2 $RHOST_DEST
cd ..
rm -rf "$TMP_DIR"
